package com.izouma.nineth.dto;

import java.util.Set;

public class ActivityOrderInput {
    /**
     * 兑换的活动Id
     */
    private Long mintActivityId;
    /**
     * 兑换的藏品Id
     */
    private Long collectionId;
    /**
     * 项目Id
     */
    private Integer projectId;
    /**
     * 消耗的个人资产Id
     */
    private Set<Long> assetIds;

    public Long getMintActivityId() {
        return mintActivityId;
    }

    public void setMintActivityId(Long mintActivityId) {
        this.mintActivityId = mintActivityId;
    }

    public Long getCollectionId() {
        return collectionId;
    }

    public void setCollectionId(Long collectionId) {
        this.collectionId = collectionId;
    }

    public Set<Long> getAssetIds() {
        return assetIds;
    }

    public void setAssetIds(Set<Long> assetIds) {
        this.assetIds = assetIds;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }
}
